<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>cn.citycraft</groupId>
	<artifactId>GsonAgent</artifactId>
	<version>1.0</version>
	<name>GsonAgent</name>
	<build>
		<finalName>${project.name}</finalName>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.7</source>
					<target>1.7</target>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<repositories>
		<repository>
			<id>spigot-repo</id>
			<url>https://hub.spigotmc.org/nexus/content/groups/public/</url>
		</repository>
		<repository>
			<id>citycraft-repo</id>
			<url>${jenkins.url}/plugin/repository/everything/</url>
		</repository>
	</repositories>
	<dependencies>
		<dependency>
			<groupId>org.spigotmc</groupId>
			<artifactId>spigot-api</artifactId>
			<type>jar</type>
			<version>1.8.8-R0.1-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.bukkit</groupId>
			<artifactId>bukkit</artifactId>
			<version>1.7.10</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/lib/craftbukkit-1.7.10.jar</systemPath>
		</dependency>
	</dependencies>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<jenkins.url>http://ci.citycraft.cn:8080</jenkins.url>
	</properties>
</project>